LimeSurvey issue tracker
Registration

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
06994Bug reports[All Projects] Otherpublic2012-11-30 09:502012-12-11 22:07
Reporterserach 
Assigned Toc_schmitz 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
Product Version2.00+ 
Target VersionFixed in Version2.00+ 
Summary06994: question type = time : recorded response always "00:00"
DescriptionI'm using LimeSurvey Version 2.00+ Build 121127
In a survey I want to ask the "closing time" (hour & minute);

but any hour:minute I insert, the recorded response is always "00:00";
am I doing something wrong or is a bug ?
(sorry for my bad english)
Steps To ReproduceI specify:
- Question type=Date/Time
- Display dropdown boxes=No
- Date/Time Format=HH:i
I will donate to the project if issue is resolved within 48 hrsNo
LimeSurvey build number OR git commit ID121127
Browser
Database & DB-VersionMysql v. 5.1.66
Operating System (Server)CentOS Linux 6.3
Webserver software & versionApache v. 2.2.15
PHP Version5.3.3
Attached Files? file icon limesurvey_survey_367555.lss [^] (12,871 bytes) 2012-12-06 09:07

- Relationships

-  Notes
User avatar (22933)
c_schmitz (administrator)
2012-12-05 23:30

I can't see any question of date/time type in the attached survey?

Can you please attach a 1-question sample survey by which we can reproduce the issue?
User avatar (22960)
serach (reporter)
2012-12-06 09:09

sorry, I attached a wrong file;

the correct file is "limesurvey_survey_367555.lss" and the "Time" question is the second;
User avatar (23045)
c_schmitz (administrator)
2012-12-09 17:40

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10804 [^]
User avatar (23061)
c_schmitz (administrator)
2012-12-09 20:20

Fix committed to 2.1 branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=10819 [^]
User avatar (23133)
c_schmitz (administrator)
2012-12-11 14:48

2.00 Build 121211 released
User avatar (23138)
serach (reporter)
2012-12-11 15:29

I tried Version 2.00+ Build 121211;

now the hour is recorded correctly, but the minute is always "00" !
User avatar (23139)
c_schmitz (administrator)
2012-12-11 15:45

Are you sure you cleared your browser cache after update?
User avatar (23146)
tpartner (developer)
2012-12-11 16:34

I'm seeing the same thing Carsten (in FF).
User avatar (23148)
serach (reporter)
2012-12-11 16:43

yes, i tried with three different browsers on two computers
User avatar (23155)
c_schmitz (administrator)
2012-12-11 21:12

k, will have another look
User avatar (23159)
c_schmitz (administrator)
2012-12-11 21:50
edited on: 2012-12-11 21:50

Oh, wait.
You used HH:i as format in the question.
That's invalid. The right format would be HH:MM (see the tip if you hover over the caption). It works if you use that. Let me know.

User avatar (23161)
tpartner (developer)
2012-12-11 22:00

Yup, you da man Carsten!

- Related Changesets
LimeSurvey: master 63e6761a
Timestamp: 2012-12-09 16:39:57
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06994: Date/time question type always records "00:00" for time
mod - application/helpers/expressions/em_manager_helper.php Diff ] File ]
mod - application/helpers/surveytranslator_helper.php Diff ] File ]
mod - scripts/date.js Diff ] File ]
LimeSurvey: 2.1 2787bbe1
Timestamp: 2012-12-09 19:16:57
Author: c_schmitz
Committer: Carsten Schmitz
Details ] Diff ]
Fixed issue 06994: Date/time question type always records "00:00" for time
mod - application/helpers/surveytranslator_helper.php Diff ] File ]
mod - scripts/date.js Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-11-30 09:50 serach New Issue
2012-11-30 09:50 serach File Added: limesurvey_survey_493696.lss
2012-12-05 23:24 c_schmitz Assigned To => c_schmitz
2012-12-05 23:24 c_schmitz Status new => assigned
2012-12-05 23:30 c_schmitz Note Added: 22933
2012-12-05 23:30 c_schmitz Status assigned => feedback
2012-12-06 09:07 serach File Added: limesurvey_survey_367555.lss
2012-12-06 09:09 serach Note Added: 22960
2012-12-06 09:09 serach Status feedback => assigned
2012-12-09 16:46 c_schmitz File Deleted: limesurvey_survey_493696.lss
2012-12-09 17:40 c_schmitz Changeset attached => LimeSurvey master 63e6761a
2012-12-09 17:40 c_schmitz Note Added: 23045
2012-12-09 17:40 c_schmitz Resolution open => fixed
2012-12-09 17:40 c_schmitz Status assigned => resolved
2012-12-09 17:40 c_schmitz Fixed in Version => 2.00+
2012-12-09 20:20 c_schmitz Changeset attached => LimeSurvey 2.1 2787bbe1
2012-12-09 20:20 c_schmitz Note Added: 23061
2012-12-11 14:48 c_schmitz Note Added: 23133
2012-12-11 14:48 c_schmitz Status resolved => closed
2012-12-11 15:29 serach Note Added: 23138
2012-12-11 15:29 serach Status closed => feedback
2012-12-11 15:29 serach Resolution fixed => reopened
2012-12-11 15:44 c_schmitz Status feedback => assigned
2012-12-11 15:45 c_schmitz Note Added: 23139
2012-12-11 15:46 c_schmitz Status assigned => feedback
2012-12-11 16:34 tpartner Note Added: 23146
2012-12-11 16:43 serach Note Added: 23148
2012-12-11 16:43 serach Status feedback => assigned
2012-12-11 21:12 c_schmitz Note Added: 23155
2012-12-11 21:50 c_schmitz Note Added: 23159
2012-12-11 21:50 c_schmitz Status assigned => feedback
2012-12-11 21:50 c_schmitz Note Edited: 23159 View Revisions
2012-12-11 22:00 tpartner Note Added: 23161
2012-12-11 22:07 c_schmitz Status feedback => resolved
2012-12-11 22:07 c_schmitz Resolution reopened => fixed
2012-12-11 22:07 c_schmitz Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker